Packages - Bug #728

Icedove: build error "while loading shared libraries: libvpx.so.1"
2015-05-26 03:08 AM - taro

Status: not-a-bug % Done: 0%
Priority: bug

Assignee:

Category:

Description

As | wrote in

https://labs.parabola.nu/issues/700

| still had the following problem during the build of icedove-1:31.7.0.deb1-1.
And if | make the symbolic link like:

/usr/lib# In -s libvpx.s0.2.0.0 libvpx.so.1

the build finished without error and the new icedove works good so far.

Executing /mnt/tmp/abslibre/libre/icedove/src/comm-esr31/obj-x86_64-unknown-linu

x-gnu/mozilla/dist/bin/xpcshell -g /mnt/tmp/abslibre/libre/icedove/src/comm-esr3
1/0bj-x86_64-unknown-linux-gnu/mozilla/dist/bin/ -a /mnt/tmp/abslibre/libre/iced
ove/src/comm-esr31/obj-x86_64-unknown-linux-gnu/mozilla/dist/bin/ -f /mnt/tmp/ab
slibre/libre/icedove/src/comm-esr31/mozilla/toolkit/mozapps/installer/precompile

_cache.js -e precompile_startupcache("resource://gre/");
/mnt/tmp/abslibre/libre/icedove/src/comm-esr31/obj-x86_64-unknown-linux-gnu/mozi

lla/dist/bin/xpcshell: error while loading shared libraries: libvpx.so.1: cannot

open shared object file: No such file or directory

Traceback (most recent call last):

File "/mnt/tmp/abslibre/libre/icedove/src/comm-esr31/mozilla/toolkit/mozapps/i

nstaller/packager.py"”, line 401, in <module>

main()

File "/mnt/tmp/abslibre/libre/icedove/src/comm-esr31/mozilla/toolkit/mozapps/installer/packager.py”, line 393, in main
args.source, gre_path, base)

File "/mnt/tmp/abslibre/libre/icedove/src/comm-esr31/mozilla/toolkit/mozapps/installer/packager.py”, line 158, in precompile_cache
errors.fatal('Error while running startup cache precompilation’)

File "/mnt/tmp/abslibre/libre/icedove/src/comm-esr31/mozilla/python/mozbuild/mozpack/errors.py”, line 101, in fatal
self._handle(self.FATAL, msq)

File "/mnt/tmp/abslibre/libre/icedove/src/comm-esr31/mozilla/python/mozbuild/mozpack/errors.py”, line 96, in _handle
raise ErrorMessage(msg)

mozpack.errors.ErrorMessage: Error: Error while running startup cache precompilation
/mnt/tmp/abslibre/libre/icedove/src/comm-esr31/mozilla/toolkit/mozapps/installer/packager.mk:722: recipe for target 'stage-package
failed

make?: * [stage-package] Error 1

make?: Leaving directory '/mnt/tmp/abslibre/libre/icedove/src/comm-esr31/obj-x86_64-unknown-linux-gnu/mail/installer’
/mnt/tmp/abslibre/libre/icedove/src/comm-esr31/mail/build.mk:24: recipe for target 'install’ failed

make': [install] Error 2

make': Leaving directory /mnt/tmp/abslibre/libre/icedove/src/comm-esr31/obj-x86_64-unknown-linux-gnu'
client.mk:398: recipe for target 'install’ failed

make: ** [install] Error 2

==> ERROR: A failure occurred in package().

Aborting...

History

#1 - 2015-06-11 09:20 AM - Anonymous

- Status changed from open to not-a-bug

2024-04-20 1/1



https://labs.parabola.nu/issues/700
http://www.tcpdf.org

